Subject: Re: bug#17577: 24.3.91; Error during redisplay prevent quitting.

From: Ken Brown <[email-masked]>
Date: Sat, 24 May 2014 18:13:44 -0400

On 5/24/2014 4:39 PM, Stefan Monnier wrote:
>>> I installed the patch below into the `emacs-24' branch.
>> This patch is causing a problem with emacsclient, at least on Cygwin. I've
>> tested both the GTK build and the w32 build.  To reproduce:
>
>> $ emacs --daemon -Q
>> Starting Emacs daemon.
>
>> $ emacsclient.exe -c
>> Waiting for Emacs...
>
>> Now do `C-x 5 0' to close the client window; emacsclient is still running
>> and has to be killed from the shell.
>
> Hmm... I can't imagine how this patch could have such an effect.
> Can you confirm that the problem appears really with this precise patch
> rather than some other one applied recently?

I could double-check, but the point is moot now.  Eli's patch (rev 
117148) fixed it.

Ken